## ros-ros-comm 1.17.4+ds

=== clients/rospy/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rospy)
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

# install legacy infrastructure needed by rosbuild
install(FILES rosbuild/rospy.cmake
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rosbuild)
catkin_install_python(PROGRAMS
  rosbuild/scripts/genmsg_py.py
  rosbuild/scripts/gensrv_py.py
  rosbuild/scripts/genutil.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rosbuild/scripts)

=== test/test_rosbag/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(test_rosbag)

if(NOT WIN32)
  set_directory_properties(PROPERTIES COMPILE_OPTIONS "-Wall;-Wextra")
endif()

find_package(catkin REQUIRED COMPONENTS message_generation rosbag rosconsole roscpp rosgraph_msgs rostest rosunit topic_tools xmlrpcpp)

if(CATKIN_ENABLE_TESTING)
  find_package(Boost REQUIRED COMPONENTS regex program_options)
  find_package(BZip2 REQUIRED)

  add_subdirectory(bag_migration_tests)
endif()

catkin_package()

if(CATKIN_ENABLE_TESTING)
  include_directories(${catkin_INCLUDE_DIRS} ${GTEST_INCLUDE_DIRS})

  catkin_download_test_data(download_data_test_indexed_1.2.bag http://download.ros.org/data/rosbag/test_indexed_1.2.bag
    FILENAME test/test_indexed_1.2.bag MD5 523cc0deb66269c84be4a7c605ff5eb3)
  catkin_download_test_data(download_data_test_chatter_50hz.bag http://download.ros.org/data/rosbag/chatter_50hz.bag
    FILENAME test/chatter_50hz.bag MD5 00844db3729b1b5f34e767dc691bd531)
  catkin_download_test_data(download_data_test_future_version_2.1.bag http://download.ros.org/data/rosbag/test_future_version_2.1.bag
    FILENAME test/test_future_version_2.1.bag MD5 ddcb5e8711b16514eb640330ed93c332)
  catkin_download_test_data(download_data_test_rosbag_latched_pub.bag http://download.ros.org/data/rosbag/test_rosbag_latched_pub.bag
    FILENAME test/test_rosbag_latched_pub.bag MD5 ed70b8cbb8a53220434aeb24bccf7342)

  catkin_add_nosetests(test/test_bag.py)

  configure_file(test/test_bag.cpp.in 
                 ${PROJECT_BINARY_DIR}/test/test_bag.cpp)
  catkin_add_gtest(test_bag ${PROJECT_BINARY_DIR}/test/test_bag.cpp)
  if(TARGET test_bag)
    target_link_libraries(test_bag ${catkin_LIBRARIES})
  endif()

  configure_file(test/play_play.test.in 
                 ${PROJECT_BINARY_DIR}/test/play_play.test)
  add_rostest(${PROJECT_BINARY_DIR}/test/play_play.test)
  configure_file(test/rosbag_play.test.in 
                 ${PROJECT_BINARY_DIR}/test/rosbag_play.test)
  add_rostest(${PROJECT_BINARY_DIR}/test/rosbag_play.test)

  add_rostest(test/latched_pub.test)
  configure_file(test/latched_sub.test.in ${PROJECT_BINARY_DIR}/test/latched_sub.test)
  add_rostest(${PROJECT_BINARY_DIR}/test/latched_sub.test)
  add_rostest(test/record_two_publishers.test)
  add_rostest(test/record_one_publisher_two_topics.test)
  add_rostest(test/record_sigint_cleanup.test)
  add_rostest(test/record_sigterm_cleanup.test)

  include_directories(${GTEST_INCLUDE_DIRS})
  add_executable(double_pub EXCLUDE_FROM_ALL test/double_pub.cpp)
  target_link_libraries(double_pub ${GTEST_LIBRARIES} ${catkin_LIBRARIES})
  add_dependencies(double_pub ${rosgraph_msgs_EXPORTED_TARGETS})
  if(TARGET tests)
    add_dependencies(tests double_pub)
  endif()
endif()

=== test/test_roslib_comm/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(test_roslib_comm)
find_package(catkin REQUIRED COMPONENTS genmsg rosgraph_msgs std_msgs)

if(CATKIN_ENABLE_TESTING)
  add_message_files(DIRECTORY msg
    FILES
    ArrayOfMsgs.msg
    FieldNameChange1.msg
    FieldNameChange2.msg
    FillEmbedTime.msg
    FillSimple.msg
    HeaderTest.msg
    SameSubMsg1.msg
    SameSubMsg2.msg
    SameSubMsg3.msg
    TypeNameChange1.msg
    TypeNameChange2.msg
    TypeNameChangeArray1.msg
    TypeNameChangeArray2.msg
    TypeNameChangeComplex1.msg
    TypeNameChangeComplex2.msg
    NOINSTALL
    )
  generate_messages(DEPENDENCIES rosgraph_msgs std_msgs)
endif()

catkin_package()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== test/test_rosmaster/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(test_rosmaster)

find_package(catkin REQUIRED COMPONENTS genmsg rostest std_msgs)

if(CATKIN_ENABLE_TESTING)
  add_message_files(DIRECTORY msg
    FILES
    String.msg
    Arrays.msg
    CompositeA.msg CompositeB.msg Composite.msg
    Embed.msg Floats.msg Simple.msg
    RosmsgA.msg
    RosmsgB.msg
    RosmsgC.msg
    TestArrays.msg
    TestHeader.msg
    TestPrimitives.msg
    TestString.msg
    TVals.msg
  )
  add_service_files(DIRECTORY srv
    FILES
    AddTwoInts.srv
    RossrvA.srv
    RossrvB.srv
  )

  generate_messages(DEPENDENCIES std_msgs)
endif()

catkin_package()

if(CATKIN_ENABLE_TESTING)
  add_rostest(test/rosmaster.test)
  add_rostest(test/paramserver.test)
endif()

=== test/test_rosparam/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(test_rosparam)
find_package(catkin REQUIRED COMPONENTS rostest)
catkin_package()

if(CATKIN_ENABLE_TESTING)
  add_rostest(test/rosparam.test)

  catkin_add_nosetests(test)
endif()

=== test/test_rospy/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(test_rospy)
find_package(catkin REQUIRED COMPONENTS genmsg rosunit rostest std_msgs test_rosmaster)

if(CATKIN_ENABLE_TESTING)
  # messages are for integration testing only
  add_message_files(DIRECTORY msg
    FILES
    ArrayVal.msg
    EmbedTest.msg
    Empty.msg
    Floats.msg
    HeaderHeaderVal.msg
    HeaderVal.msg
    PythonKeyword.msg
    TestConstants.msg
    TestFixedArray.msg
    TransitiveImport.msg
    TransitiveMsg1.msg
    TransitiveMsg2.msg
    Val.msg
    NOINSTALL
    )
  add_service_files(DIRECTORY srv
    FILES
    ConstantsMultiplex.srv
    EmptyReqSrv.srv
    EmptyRespSrv.srv
    EmptySrv.srv
    ListReturn.srv
    MultipleAddTwoInts.srv
    StringString.srv
    TransitiveSrv.srv
    NOINSTALL
    )

  generate_messages(DEPENDENCIES std_msgs test_rosmaster)
endif()

catkin_package()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test/unit)

  # integration tests
  # - accidentally wrote two integration tests for client param API. They are different enough that it's no harm in having both
  add_rostest(test/rostest/client-param-server.test)
  add_rostest(test/rostest/client-param-api-2.test)
  add_rostest(test/rostest/services.test)
  add_rostest(test/rostest/deregister.test)
  add_rostest(test/rostest/pubsub-order.test)
  add_rostest(test/rostest/rosout.test)
  add_rostest(test/rostest/embed-msg.test)
  add_rostest(test/rostest/rospy.test)
  add_rostest(test/rostest/rospy_sim_time.test)
  add_rostest(test/rostest/node.test)
  add_rostest(test/rostest/latch.test)
  add_rostest(test/rostest/on_shutdown.test)
  add_rostest(test/rostest/sub_to_multiple_pubs.test)
  add_rostest(test/rostest/latch_unsubscribe.test)
  add_rostest(test/rostest/statistics.test)
endif()

=== test/test_rosservice/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(test_rosservice)
find_package(catkin REQUIRED COMPONENTS genmsg rosunit rostest std_msgs)

if(CATKIN_ENABLE_TESTING)
  add_service_files(DIRECTORY srv
    FILES
    HeaderEcho.srv
    NOINSTALL
    )
  generate_messages(DEPENDENCIES std_msgs)
endif()

catkin_package()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)

  add_rostest(test/rosservice.test)
  #add_rostest(test/rosservice_unit.test)
endif()

=== tools/rosbag/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rosbag)

if(NOT WIN32)
  set_directory_properties(PROPERTIES COMPILE_OPTIONS "-Wall;-Wextra")
endif()

find_package(catkin REQUIRED COMPONENTS rosbag_storage rosconsole roscpp std_srvs topic_tools xmlrpcpp)
find_package(Boost REQUIRED COMPONENTS date_time filesystem program_options regex thread)
find_package(BZip2 REQUIRED)

catkin_python_setup()

# Support large bags (>2GB) on 32-bit systems
add_definitions(-D_FILE_OFFSET_BITS=64)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS}
  ${BZIP2_INCLUDE_DIR}
)

catkin_package(
  LIBRARIES rosbag
  INCLUDE_DIRS include
  CATKIN_DEPENDS rosbag_storage rosconsole roscpp std_srvs topic_tools xmlrpcpp)

add_library(rosbag
  src/player.cpp
  src/recorder.cpp
  src/time_translator.cpp)

target_link_libraries(rosbag ${catkin_LIBRARIES} ${Boost_LIBRARIES}
  ${BZIP2_LIBRARIES}
)

add_executable(record src/record.cpp)
target_link_libraries(record rosbag)

add_executable(play src/play.cpp)
target_link_libraries(play rosbag)

if(NOT WIN32)
  add_executable(encrypt src/encrypt.cpp)
  target_link_libraries(encrypt ${catkin_LIBRARIES} ${Boost_LIBRARIES})
endif()

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")
install(TARGETS rosbag
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(TARGETS record play
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
if(NOT WIN32)
  install(TARGETS encrypt
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
endif()
catkin_install_python(PROGRAMS
  scripts/bag2png.py
  scripts/bagsort.py
  scripts/fastrebag.py
  scripts/fixbag.py
  scripts/fixbag_batch.py
  scripts/fix_md5sums.py
  scripts/fix_moved_messages.py
  scripts/fix_msg_defs.py
  scripts/makerule.py
  scripts/savemsg.py
  scripts/topic_renamer.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== tools/rosbag_storage/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(rosbag_storage)

if(NOT WIN32)
  set_directory_properties(PROPERTIES COMPILE_OPTIONS "-Wall;-Wextra")
endif()

find_package(console_bridge REQUIRED)
find_package(catkin REQUIRED COMPONENTS cpp_common pluginlib roscpp_serialization roscpp_traits rostime roslz4 std_msgs)
find_package(Boost REQUIRED COMPONENTS filesystem)
find_package(BZip2 REQUIRED)

catkin_package(
  CFG_EXTRAS rosbag_storage-extras.cmake
  INCLUDE_DIRS include
  LIBRARIES rosbag_storage
  CATKIN_DEPENDS pluginlib roslz4
  DEPENDS console_bridge Boost
)

# Support large bags (>2GB) on 32-bit systems
add_definitions(-D_FILE_OFFSET_BITS=64)

include_directories(include ${catkin_INCLUDE_DIRS} ${console_bridge_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${BZIP2_INCLUDE_DIR})
add_definitions(${BZIP2_DEFINITIONS})

set(AES_ENCRYPT_SOURCE "")
set(AES_ENCRYPT_LIBRARIES "")
if(NOT WIN32)
  set(AES_ENCRYPT_SOURCE "src/aes_encryptor.cpp" "src/gpgme_utils.cpp")
  find_library(GPGME_LIBRARY
    NAMES "gpgme"
    PATHS /usr/local/lib)
  find_library(CRYPTO_LIBRARY
    NAMES "crypto"
    PATHS /usr/local/lib)
  set(AES_ENCRYPT_LIBRARIES ${GPGME_LIBRARY} ${CRYPTO_LIBRARY})
endif()

add_library(rosbag_storage
  src/bag.cpp
  src/bag_player.cpp
  src/buffer.cpp
  src/bz2_stream.cpp
  src/lz4_stream.cpp
  src/chunked_file.cpp
  src/message_instance.cpp
  src/query.cpp
  src/stream.cpp
  src/view.cpp
  src/uncompressed_stream.cpp
)
target_link_libraries(rosbag_storage ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${BZIP2_LIBRARIES} ${console_bridge_LIBRARIES} ${AES_ENCRYPT_LIBRARIES})
if(WIN32)
  # On Windows, default library runtime output set to CATKIN_GLOBAL_BIN_DESTINATION,
  # change it back to CATKIN_PACKAGE_LIB_DESTINATION to match the library path described in plugin description file
  set_target_properties(rosbag_storage PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION})
endif()

# Install library
install(TARGETS rosbag_storage
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

add_library(rosbag_default_encryption_plugins
  ${AES_ENCRYPT_SOURCE}
  src/no_encryptor.cpp
)

target_link_libraries(rosbag_default_encryption_plugins rosbag_storage ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${AES_ENCRYPT_LIBRARIES})

install(TARGETS rosbag_default_encryption_plugins
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(DIRECTORY include/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(FILES encryptor_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(NOT WIN32)
  if(CATKIN_ENABLE_TESTING)
    find_package(rostest)

    catkin_add_gtest(test_aes_encryptor test/test_aes_encryptor.cpp src/gpgme_utils.cpp
      WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/test)
    if(TARGET test_aes_encryptor)
      target_link_libraries(test_aes_encryptor rosbag_storage ${BZIP2_LIBRARIES}  ${AES_ENCRYPT_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
    endif()
  endif()
endif()

=== tools/rosgraph/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rosgraph)
find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

# logging config file goes in both etc and package layout (for now).
# want to get rid of package layout copy, but need to be able to
# locate etc first.
install(FILES conf/python_logging.conf
  DESTINATION ${CATKIN_GLOBAL_ETC_DESTINATION}/ros)
install(FILES conf/python_logging.conf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/conf)
catkin_install_python(PROGRAMS scripts/rosgraph
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== tools/roslaunch/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(roslaunch)
find_package(catkin REQUIRED)
catkin_package(CFG_EXTRAS roslaunch-extras.cmake)

if(CMAKE_HOST_UNIX)
  catkin_add_env_hooks(10.roslaunch SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
else()
  catkin_add_env_hooks(10.roslaunch SHELLS bat DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
endif()

catkin_python_setup()

install(FILES resources/roscore.xml
  DESTINATION ${CATKIN_GLOBAL_ETC_DESTINATION}/ros)

# install example launch files
install(DIRECTORY resources
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# required for old rosbuild macro to be under PKGNAME/scripts
catkin_install_python(PROGRAMS scripts/roslaunch-check
  DESTINATION  ${CATKIN_PACKAGE_SHARE_DESTINATION}/scripts)

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test/unit)
endif()

=== tools/rosmaster/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rosmaster)
find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== debian/control ===
Source: ros-ros-comm
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Section: libs
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-ros (>= 0.14.1~),
 dh-sequence-python3,
 dpkg-dev (>= 1.22.5),
 catkin (>= 0.8.10-1~),
 libb64-dev,
 libboost-chrono-dev,
 libboost-date-time-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-regex-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libbz2-dev,
 libconsole-bridge-dev,
 libgpgme-dev,
 libgtest-dev,
 liblog4cxx-dev,
 liblz4-dev,
 libpython3-all-dev,
 libros-rosgraph-msgs-dev,
 librosconsole-dev,
 libroscpp-core-dev,
 libssl-dev,
 libstd-msgs-dev,
 libstd-srvs-dev,
 pluginlib-dev,
 python3-all-dev:any,
 python3-defusedxml <!nocheck>,
 python3-empy,
 python3-gnupg <!nocheck>,
 python3-netifaces <!nocheck>,
 python3-pycryptodome <!nocheck>,
 python3-rosclean <!nocheck>,
 python3-rosgraph-msgs <!nocheck>,
 python3-roslib <!nocheck>,
 python3-rosunit <!nocheck>,
 python3-std-srvs <!nocheck>,
 ros-message-generation,
 rosbuild <!nocheck>,
 roslang <!nocheck>,
 rospack-tools <!nocheck>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/ros-ros-comm
Vcs-Git: https://salsa.debian.org/science-team/ros-ros-comm.git
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/ros_comm

###########
# Clients #
###########

Package: libroscpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-filesystem-dev,
 libboost-system-dev,
 libros-rosgraph-msgs-dev,
 librosconsole-dev,
 libroscpp-msg-dev,
 libroscpp4t64 (= ${binary:Version}),
 libxmlrpcpp-dev,
 ${misc:Depends},
Description: Robot OS development files for libroscpp
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the development files for the library.

Package: cl-roscpp-msg
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Header for roscpp messages, LISP
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated LISP library.

Package: cl-topic-tools
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: LISP library for working with Robot OS topics
 This package is part of Robot OS (ROS). It contains the lisp
 interface to the tools for directing, throttling, selecting, and
 otherwise messing with ROS topics at a meta level.

Package: libmessage-filters-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-thread-dev,
 libmessage-filters1t64 (= ${binary:Version}),
 libroscpp-dev,
 ${misc:Depends},
Description: Development files for Robot OS message-filters
 This package is part of Robot OS (ROS). It contains the development
 files for libmessage-filters, which implements a set of message
 filters which take in messages and may output those messages at a
 later time, based on the conditions that filter needs being met.

Package: libmessage-filters1t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libmessage-filters1d
Replaces:
 libmessage-filters1d,
Breaks:
 libmessage-filters1d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Library for Robot OS message-filters
 This package is part of Robot OS (ROS). It implemtants a set of
 message filters which take in messages and may output those messages
 at a later time, based on the conditions that filter needs met.
 .
 This package contains the library.

Package: librosbag-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 librosbag-storage-dev,
 librosbag4t64 (= ${binary:Version}),
 librosconsole-dev,
 libroscpp-dev,
 libstd-srvs-dev,
 libtopic-tools-dev,
 libxmlrpcpp-dev,
 ${misc:Depends},
Description: Tools for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It is the development files
 for the rosbag library, which provides APIs for reading/writing bags
 (ROS message stores) in C++ and Python.

Package: librosbag-storage-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-date-time-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-regex-dev,
 libbz2-dev,
 libconsole-bridge-dev,
 libgpgme-dev,
 librosbag-storage4t64 (= ${binary:Version}),
 libroslz4-dev,
 pluginlib-dev,
 ${misc:Depends},
Description: Development files for librosbag_storage
 This package is part of Robot OS (ROS). It is a set of tools for
 recording from and playing back ROS messages without relying on the
 ROS client library.
 .
 This package contains the development files for the library.

#########
# Tools #
#########

Package: librosbag-storage4t64
Provides:
 ${t64:Provides},
X-Time64-Compat: librosbag-storage4d
Replaces:
 librosbag-storage4d,
Breaks:
 librosbag-storage4d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS library for rosbag_storage
 This package is part of Robot OS (ROS). It is a set of tools for
 recording from and playing back ROS messages without relying on the
 ROS client library.
 .
 This package contains the library.

Package: librosbag4t64
Provides:
 ${t64:Provides},
X-Time64-Compat: librosbag4d
Replaces:
 librosbag4d,
Breaks:
 librosbag4d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Library for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It is the rosbag library,
 which provides APIs for reading/writing bags (ROS message stores) in
 C++ and Python. It is intended to be high performance and avoids
 deserialization and reserialization of the messages.
 .
 The related rosbag package provides a command-line tool for working
 with bags.

Package: libroscpp-msg-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libroscpp-core-dev,
 ${misc:Depends},
Description: Robot OS header for roscpp messages
 This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
 It provides a client library that enables C++ programmers to quickly interface
 with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated C++ headers.

Package: libroscpp4t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libroscpp4d
Replaces:
 libroscpp4d,
Breaks:
 libroscpp4d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS client library
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the library.

Package: libroslz4-1t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libroslz4-1d
Replaces:
 libroslz4-1d,
Breaks:
 libroslz4-1d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library implementing lz4 for Robot OS
 This package is part of Robot OS (ROS). This is the C++
 implementation of the LZ4 streaming format. Large data streams are
 split into blocks which are compressed using the very fast LZ4
 compression algorithm.
 .
 This package contains the library.

Package: libroslz4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 liblz4-dev,
 libroscpp-core-dev,
 libroslz4-1t64 (= ${binary:Version}),
 ${misc:Depends},
Description: development files for libroslz4
 This package is part of Robot OS (ROS). It contains the development
 files for the ROS implementation of the LZ4 streaming format. Large
 data streams are split into blocks which are compressed using the
 very fast LZ4 compression algorithm.

Package: librostest-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-system-dev,
 libboost-thread-dev,
 ${misc:Depends},
Description: Development files for rostest (Robot OS)
 This package is part of Robot OS (ROS). It contains the development
 files for the rostest framework. It's an extension that enables
 roslaunch files to be used as test fixtures. As a fully running
 system has more complex behaviors than an individual ROS node,
 this allows you to do full integration testing across multiple
 nodes. It is compatible with xUnit frameworks.

Package: libtopic-tools-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 librosconsole-dev,
 libroscpp-core-dev,
 libroscpp-dev,
 libstd-msgs-dev,
 libtopic-tools2t64 (= ${binary:Version}),
 ${misc:Depends},
Description: development files for libtopic-tools (Robot OS)
 This package is part of Robot OS (ROS). It contains development files
 for the libtopic-tools library, which provides tools for directing,
 throttling, selecting, and otherwise messing with ROS topics at a
 meta level.
 .
 This contains the development files

Package: libtopic-tools2t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libtopic-tools2d
Replaces:
 libtopic-tools2d,
Breaks:
 libtopic-tools2d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for messing with Robot OS topics
 This package is part of Robot OS (ROS). Tools for directing,
 throttling, selecting, and otherwise messing with ROS topics at a
 meta level. None of the programs in this package actually know about
 the topics whose streams they are altering; instead, these tools deal
 with messages as generic binary blobs. This means they can be applied
 to any ROS topic.
 .
 This package contains the library.

Package: libxmlrpcpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libb64-dev,
 libroscpp-core-dev,
 libxmlrpcpp3t64 (= ${binary:Version}),
 ${misc:Depends},
Description: development files for Robot OS libxmlrpcpp
 This package is part of Robot OS (ROS). It contains the development
 files for the XmlRpc++ library, which is a C++ implementation of the XML-RPC
 protocol. This version is heavily modified from the package available
 on SourceForge in order to support roscpp's threading model. As such,
 it's a maintained fork by OSRF.

Package: libxmlrpcpp3t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libxmlrpcpp3d
Replaces:
 libxmlrpcpp3d,
Breaks:
 libxmlrpcpp3d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS version of xml-rpc protocol library
 This package is part of Robot OS (ROS). It contains the XmlRpc++
 library, which is a C++ implementation of the XML-RPC protocol. This
 version is heavily modified from the package available on SourceForge
 in order to support roscpp's threading model. As such, it's a
 maintained fork by OSRF.

Package: python3-message-filters
Section: python
Architecture: all
Multi-Arch: allowed
Depends:
 python3-rospy,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 library for Robot OS message-filters

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export ROS_PYTHON_EXTENSION_PACKAGES = roslz4
export ROS_CONFIGURE_ARGS = -DPYVER={python_version}
ifneq ($(filter amd64 arm64,$(DEB_HOST_ARCH)),)
# Run most tests on amd64 and arm64
export ROS_SKIP_TESTS = rostest topic_tools
else
# Skip all tests on other architectures
export ROS_SKIP_TESTS = 1
endif
export ROS_SKIP_PACKAGES = ros_comm \
	test_rosbag test_rosbag_storage test_roscpp test_rosgraph \
	test_roslaunch test_roslib_comm test_rosmaster test_rosparam \
	test_rospy test_rosservice test_rostest test_rostopic

%:
	dh $@ --buildsystem=ros

=== debian/tests/control ===
Test-Command: ./debian/tests/compilation roscpp ros/ros.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libroscpp-dev,
 make,
Features:
 test-name=libroscpp-dev,

Test-Command: ./debian/tests/compilation rosbag rosbag/player.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 librosbag-dev,
 make,
Features:
 test-name=librosbag-dev,

Test-Command: ./debian/tests/compilation rosbag_storage rosbag/bag.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 librosbag-storage-dev,
 make,
Features:
 test-name=librosbag-storage-dev,

Test-Command: ./debian/tests/compilation rostest rostest/permuter.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 librostest-dev,
 make,
Features:
 test-name=librostest-dev,

Test-Command: ./debian/tests/compilation topic_tools topic_tools/parse.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libtopic-tools-dev,
 make,
Features:
 test-name=libtopic-tools-dev,

Test-Command: ./debian/tests/compilation message_filters message_filters/subscriber.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libmessage-filters-dev,
 make,
Features:
 test-name=libmessage-filters-dev,

Test-Command: ./debian/tests/compilation roslz4 roslz4/lz4s.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libroslz4-dev,
 make,
Features:
 test-name=libroslz4-dev,

Test-Command: ./debian/tests/compilation xmlrpcpp xmlrpcpp/XmlRpc.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libxmlrpcpp-dev,
 make,
Features:
 test-name=libxmlrpcpp-dev,

Test-Command: python3 -c "import roscpp.msg"
Restrictions:
 allow-stderr,
Depends:
 python3-roscpp-msg,
Features:
 test-name=python3-roscpp-msg,

Test-Command: python3 -c "import rospy"
Restrictions:
 allow-stderr,
Depends:
 python3-rospy,
Features:
 test-name=python3-rospy,

Test-Command: python3 -c "import rosbag"
Restrictions:
 allow-stderr,
Depends:
 python3-rosbag,
Features:
 test-name=python3-rosbag,

Test-Command: python3 -c "import rosgraph"
Restrictions:
 allow-stderr,
Depends:
 python3-rosgraph,
Features:
 test-name=python3-rosgraph,

Test-Command: python3 -c "import roslaunch"
Restrictions:
 allow-stderr,
Depends:
 python3-roslaunch,
Features:
 test-name=python3-roslaunch,

Test-Command: python3 -c "import rosmaster"
Restrictions:
 allow-stderr,
Depends:
 python3-rosmaster,
Features:
 test-name=python3-rosmaster,

Test-Command: python3 -c "import rosmsg"
Restrictions:
 allow-stderr,
Depends:
 python3-rosmsg,
Features:
 test-name=python3-rosmsg,

Test-Command: python3 -c "import rosnode"
Restrictions:
 allow-stderr,
Depends:
 python3-rosnode,
Features:
 test-name=python3-rosnode,

Test-Command: python3 -c "import rosparam"
Restrictions:
 allow-stderr,
Depends:
 python3-rosparam,
Features:
 test-name=python3-rosparam,

Test-Command: python3 -c "import rosservice"
Restrictions:
 allow-stderr,
Depends:
 python3-rosservice,
Features:
 test-name=python3-rosservice,

Test-Command: python3 -c "import rostest"
Restrictions:
 allow-stderr,
Depends:
 python3-rostest,

=== debian/watch ===
Version: 5

Template: Github
Owner: ros
Project: ros_comm
Dversion-Mangle: auto
Repack-Suffix: +ds
Repack: yes
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@STABLE_VERSION@
